Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI.Run
Class GEVAGraphPaneItem

    java.lang.Object
      UI.Run.GEVAGraphPaneItem

    public class GEVAGraphPaneItem

extends java.lang.Object

Store the configuration properties of an item in the graph. GEVAGraphItems are stored in a GEVAGraphCategory

Author:
  eliott bartley

Field Summary
`static int` | `VISIBLE_BOLD` Show this item on the graph, plus mark it as highlighted
`static int` | `VISIBLE_HIDE` Hide this item on the graph, but still visible on the options
`static int` | `VISIBLE_SHOW` Show this item on the graph

Constructor Summary
`GEVAGraphPaneItem(java.lang.String name, int visible, java.awt.Color colour, java.lang.String title, java.lang.String measure, java.lang.String errorName)`

Method Summary
`java.awt.Color` | `getColour()`
`java.lang.String` | `getErrorName()`
`java.lang.String` | `getMeasure()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTitle()`
`int` | `getVisible()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VISIBLE_HIDE

    public static int VISIBLE_HIDE

  Hide this item on the graph, but still visible on the options

### VISIBLE_SHOW

    public static int VISIBLE_SHOW

  Show this item on the graph

### VISIBLE_BOLD

    public static int VISIBLE_BOLD

  Show this item on the graph, plus mark it as highlighted

Constructor Detail

### GEVAGraphPaneItem

    public GEVAGraphPaneItem(java.lang.String name,
                             int visible,
                             java.awt.Color colour,
                             java.lang.String title,
                             java.lang.String measure,
                             java.lang.String errorName)

Method Detail

### getVisible

    public int getVisible()

### getColour

    public java.awt.Color getColour()

### getName

    public java.lang.String getName()

### getTitle

    public java.lang.String getTitle()

### getMeasure

    public java.lang.String getMeasure()

### getErrorName

    public java.lang.String getErrorName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD